View Issue Details

IDProjectCategoryView StatusLast Update
0002113Ham Radio DeluxeMaintenancepublic2017-08-05 18:31
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version1703
Product Version6.4.0.659 
Target VersionFixed in Version6.4.0.671 
Summary0002113: Awards: window is pretty slow to open
DescriptionSeems like a lot of work happens when opening the Awards window. It would be nice to make it faster.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleAwards
TestingAlpha Failed

Relationships

Activities

K7ZCZ

2017-07-08 23:17

viewer   ~0003601

I've checked in a fix in my branch that makes the opening the Awards view measurably faster on large databases. On my dev machine, in a release build, it's about 2x faster for my 62,000 entry test database.

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3608

g3ucq

2017-08-02 01:10

viewer   ~0003820

Much faster

K7ZCZ

2017-08-02 07:29

viewer   ~0003825

marking resolved

WA9PIE

2017-08-02 15:21

administrator   ~0003842

Verified faster.

g3ucq

2017-08-03 17:05

viewer   ~0003886

Fixed for me

WA9PIE

2017-08-05 18:13

administrator   ~0003910

All completed during the 670 build/release.

Issue History

Date Modified Username Field Change
2017-07-08 23:15 K7ZCZ New Issue
2017-07-08 23:15 K7ZCZ Status new => assigned
2017-07-08 23:15 K7ZCZ Assigned To => K7ZCZ
2017-07-08 23:17 K7ZCZ Note Added: 0003601
2017-08-02 01:10 g3ucq Note Added: 0003820
2017-08-02 07:29 K7ZCZ Status assigned => resolved
2017-08-02 07:29 K7ZCZ Resolution open => fixed
2017-08-02 07:29 K7ZCZ Fixed in Version => 6.4.0.667
2017-08-02 07:29 K7ZCZ Testing => Not Started
2017-08-02 07:29 K7ZCZ Note Added: 0003825
2017-08-02 15:21 WA9PIE Description Updated View Revisions
2017-08-02 15:21 WA9PIE Testing Not Started => Beta Successful
2017-08-02 15:21 WA9PIE Note Added: 0003842
2017-08-03 17:05 g3ucq Note Added: 0003886
2017-08-05 18:09 WA9PIE Fixed in Version 6.4.0.667 => 6.4.0.670
2017-08-05 18:10 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-08-05 18:13 WA9PIE Note Added: 0003910
2017-08-05 18:13 WA9PIE Status resolved => closed
2017-08-05 18:27 WA9PIE Fixed in Version 6.4.0.670 => 6.4.0.671
2017-08-05 18:31 WA9PIE Category Enhancement => Maintenance
2017-08-05 18:31 WA9PIE Testing Beta Successful => Alpha Failed